##### Views

- Page
- Discussion
- View source
- History

# love.graphics.newImage

Creates a new Image from a filepath, FileData or an ImageData.

| This function can be slow if it is called repeatedly, such as from love.update or love.draw. If you need to use a specific resource often, create it once and store it somewhere it can be reused! |

## Function

### Synopsis

image = love.graphics.newImage( filename )

### Arguments

`string filename`
  The filepath to the image file.

### Returns

`Image image`
  An Image object which can be drawn on screen.

## Function

### Synopsis

image = love.graphics.newImage( imageData )

### Arguments

`ImageData imageData`
  An ImageData object. The Image will use this ImageData to reload itself when love.graphics.setMode is called.

### Returns

`Image image`
  An Image object which can be drawn on screen.

## Function

Available since LÖVE 0.9.0
This variant is not supported in earlier versions.

### Synopsis

image = love.graphics.newImage( compressedData )

### Arguments

`CompressedData compressedData`
  A CompressedData object. The Image will use this CompressedData to reload itself when love.window.setMode is called.

### Returns

`Image image`
  An Image object which can be drawn on screen.

## Function

Available since LÖVE 0.9.1
This variant is not supported in earlier versions.

### Synopsis

image = love.graphics.newImage( filename, format )

### Arguments

`string filename`
  The filepath to the image file (or a FileData or ImageData or CompressedData object.)
`TextureFormat format`
  The format to interpret the image's data as.

### Returns

`Image image`
  An Image object which can be drawn on screen.

## See Also

- love.graphics
- Image

## Other Languages

Dansk – Deutsch – English – Español – Français – Indonesia – Italiano – Lietuviškai – Magyar – Nederlands – Polski – Português – Română – Slovenský – Suomi – Svenska – Türkçe – Česky – Ελληνικά – Български – Русский – Српски – Українська – עברית – ไทย – 日本語 – 正體中文 – 简体中文 – Tiếng Việt – 한국어
More info

Retrieved from "https://www.love2d.org/wiki/love.graphics.newImage"
Categories: Templates | Functions

##### Personal tools

- Log in

##### Search

##### Toolbox

- What links here
- Related changes
- Special pages
- Printable version
- Permanent link
- Browse properties